KDEINIT5(8)

NOM
kdeinit5 - Un iniciador d'aplicacions implementades per kdeinit, i per als esclaus KIO.

SINOPSI

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programes] | [programes]]

DESCRIPCIÓ

kdeinit5 és un iniciador de processos pareixent a l'ordre init que s'utilitza per a l'arrancada de UNIX. Executa els programes de KDE i els mòduls que es poden carregar de kdeinit (KLM), iniciant-los de forma més eficient.

L'ús de kdeinit5 per a iniciar les aplicacions KDE, fa que el temps d'inici d'una aplicació KDE típica, siga dues vegades més ràpid i reduïx el consum de memòria de manera substancial.

kdeinit5 està enllaçat contra totes les biblioteques que necessita una aplicació KDE estàndard. Mitjançant esta tècnica, l'inici d'una aplicació és molt més ràpid perquè només necessita enllaçar amb l'aplicació mateixa, mentre que d'altra manera necessita enllaçar tant amb l'aplicació com amb les biblioteques que utilitza.

DESAVANTATGES

El nom del procés de les aplicacions iniciades mitjançant kdeinit5 és «kdeinit5». Este problema es pot corregir en cert grau canviant el nom de l'aplicació com es mostra amb ps. De totes maneres, aplicacions com killall tan sols veuran kdeinit5 com a nom de procés. Per a solucionar-ho utilitzeu kdekillall (de kdesdk/scripts) per a les aplicacions iniciades mitjançant kdeinit5.

OPCIONS

--help
    Mostra ajuda quant a les opcions.

--no-fork
    No bifurcar, és a dir, no eixir fins que finalitzen tots els programes executats.

--no-kded
    No inicia kded.

--suicide
    Finalitza quan no queden aplicacions KDE en execució.

+programes
    Executa els programes tramitant les peticions de manipulació.

programes
    Executa els programes sense tramitar les peticions de manipulació.

ÚS

Una manera estàndard per a executar este programa és senzillament especificant l'ordre següent a l'indicatiu; kdeinit5 programa o kdeinit5 +programa

FITXERS

/tmp/kde-$USER/kdeinit5_$INSTANCE
    ...

VARIABLES DENTORN

$HOME
    Especifica el directori d'inici de l'usuari actual.

$KDE_HOME_READONLY
    Especifica si el directori d'inici de l'usuari actual és de només lectura.

$KDE_IS_PRELINKED
    Si està establida, li indica a kdeinit5 que els programes KDE estan preenllaçats.

    (El preenllaçat és un procés que us permet augmentar la velocitat del procés d'enllaçat dinàmic).

$KDE_DISPLAY
    Si està establida, li indica a kdeinit5 que s'està executant en un escriptori KDE.

VEGEU TAMBÉ

kded5, kdekillall

ERRORS

Utilitzeu el seguidor d'errors de KDE[1] (escriviu-hi en anglés) per a informar-ne.

AUTORS

Bastian, Waldo <bastian@kde.org>
    Autor.

Weilguni, Mario <mweilguni@sime.com>
    Autor.

Lunak, Lubos <l.lunak@kde.org>
    Autor.

NOTES

1.  seguidor d'errors de KDE
    http://bugs.kde.org